Get dialog
Returns the currently displayed server dialog (Minecraft 1.21.6+). Dialogs are server-sent UI screens for custom interactions. Returns empty response if no dialog is being shown. Does not require the bot to be online (but dialog will be absent).
Returns the currently displayed server dialog (Minecraft 1.21.6+). Dialogs are server-sent UI screens for custom interactions. Returns empty response if no dialog is being shown. Does not require the bot to be online (but dialog will be absent).
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
The UUID of the SoulFire instance containing the bot.
uuidThe profile UUID of the bot to get dialog for.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/bots/:bot_id/dialog"{
"dialog": {
"id": "string",
"type": "DIALOG_TYPE_UNSPECIFIED",
"title": "string",
"external_title": "string",
"body": [
{
"plain_message": {
"contents": "string",
"width": 0
},
"item": {
"item_id": "string",
"count": 0,
"description": "string",
"show_decoration": true,
"show_tooltip": true,
"width": 0,
"height": 0
}
}
],
"inputs": [
{
"text": {
"key": "string",
"label": "string",
"width": 0,
"label_visible": true,
"initial": "string",
"max_length": 0,
"multiline": true,
"multiline_max_lines": 0,
"multiline_height": 0
},
"boolean": {
"key": "string",
"label": "string",
"initial": true,
"on_true": "string",
"on_false": "string"
},
"single_option": {
"key": "string",
"label": "string",
"label_visible": true,
"width": 0,
"options": [
{
"id": "string",
"display": "string"
}
],
"initial_option_id": "string"
},
"number_range": {
"key": "string",
"label": "string",
"label_format": "string",
"width": 0,
"start": 0.1,
"end": 0.1,
"step": 0.1,
"initial": 0.1
}
}
],
"can_close_with_escape": true,
"pause": true,
"after_action": "DIALOG_AFTER_ACTION_UNSPECIFIED",
"action": {
"label": "string",
"tooltip": "string",
"width": 0,
"action": {
"open_url": {
"url": "string"
},
"run_command": {
"command": "string"
},
"suggest_command": {
"command": "string"
},
"copy_to_clipboard": {
"value": "string"
},
"show_dialog": {
"dialog_id": "string"
},
"custom": {
"id": "string",
"payload": "string"
},
"dynamic_run_command": {
"template": "string"
},
"dynamic_custom": {
"id": "string",
"additions": "string"
}
}
},
"yes": {
"label": "string",
"tooltip": "string",
"width": 0,
"action": {
"open_url": {
"url": "string"
},
"run_command": {
"command": "string"
},
"suggest_command": {
"command": "string"
},
"copy_to_clipboard": {
"value": "string"
},
"show_dialog": {
"dialog_id": "string"
},
"custom": {
"id": "string",
"payload": "string"
},
"dynamic_run_command": {
"template": "string"
},
"dynamic_custom": {
"id": "string",
"additions": "string"
}
}
},
"no": {
"label": "string",
"tooltip": "string",
"width": 0,
"action": {
"open_url": {
"url": "string"
},
"run_command": {
"command": "string"
},
"suggest_command": {
"command": "string"
},
"copy_to_clipboard": {
"value": "string"
},
"show_dialog": {
"dialog_id": "string"
},
"custom": {
"id": "string",
"payload": "string"
},
"dynamic_run_command": {
"template": "string"
},
"dynamic_custom": {
"id": "string",
"additions": "string"
}
}
},
"actions": [
{
"label": "string",
"tooltip": "string",
"width": 0,
"action": {
"open_url": {
"url": "string"
},
"run_command": {
"command": "string"
},
"suggest_command": {
"command": "string"
},
"copy_to_clipboard": {
"value": "string"
},
"show_dialog": {
"dialog_id": "string"
},
"custom": {
"id": "string",
"payload": "string"
},
"dynamic_run_command": {
"template": "string"
},
"dynamic_custom": {
"id": "string",
"additions": "string"
}
}
}
],
"columns": 0,
"exit_action": {
"label": "string",
"tooltip": "string",
"width": 0,
"action": {
"open_url": {
"url": "string"
},
"run_command": {
"command": "string"
},
"suggest_command": {
"command": "string"
},
"copy_to_clipboard": {
"value": "string"
},
"show_dialog": {
"dialog_id": "string"
},
"custom": {
"id": "string",
"payload": "string"
},
"dynamic_run_command": {
"template": "string"
},
"dynamic_custom": {
"id": "string",
"additions": "string"
}
}
},
"button_width": 0
}
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}How is this page?
List bots GET
Returns a list of all bots configured in the specified instance. Includes both online and offline bots with their current status. For online bots, includes live state (position, health, etc.) but NOT full inventory data.
Get inventory state GET
Returns the current state of the bot's open container/inventory. Includes layout information, slot contents, and carried item. The bot must be online with a valid player.